<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.bw.adv.module.member.mapper.LossReportMapper" >
  <resultMap id="BaseResultMap" type="com.bw.adv.module.member.model.LossReport" >
    <id column="LOSS_REPORT_ID" property="lossReportId" jdbcType="BIGINT" />
    <result column="MEMBER_ID" property="memberId" jdbcType="BIGINT" />
    <result column="LOST_CARD_ID" property="lostCardId" jdbcType="BIGINT" />
    <result column="NEW_CARD_ID" property="newCardId" jdbcType="BIGINT" />
    <result column="LOSS_DATE" property="lossDate" jdbcType="CHAR" />
    <result column="LOSS_REPORT_REASON_ID" property="lossReportReasonId" jdbcType="BIGINT" />
    <result column="LOSS_REPORT_REASON" property="lossReportReason" jdbcType="VARCHAR" />
    <result column="LOSS_REPORT_DATE" property="lossReportDate" jdbcType="CHAR" />
    <result column="LOSS_REPORT_TIME" property="lossReportTime" jdbcType="CHAR" />
    <result column="PROCESS_RESULT" property="processResult" jdbcType="VARCHAR" />
    <result column="PROCESS_BY" property="processBy" jdbcType="BIGINT" />
    <result column="PROCESS_DATE" property="processDate" jdbcType="CHAR" />
  </resultMap>
  <sql id="Base_Column_List" >
    LOSS_REPORT_ID, MEMBER_ID, LOST_CARD_ID, NEW_CARD_ID, LOSS_DATE, LOSS_REPORT_REASON_ID, 
    LOSS_REPORT_REASON, LOSS_REPORT_DATE, LOSS_REPORT_TIME, PROCESS_RESULT, PROCESS_BY, 
    PROCESS_DATE
  </sql>
  <select id="selectByPrimaryKey" resultMap="BaseResultMap" parameterType="java.lang.Long" >
    select 
    <include refid="Base_Column_List" />
    from loss_report
    where LOSS_REPORT_ID = #{lossReportId,jdbcType=BIGINT}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Long" >
    delete from loss_report
    where LOSS_REPORT_ID = #{lossReportId,jdbcType=BIGINT}
  </delete>
  <insert id="insert" parameterType="com.bw.adv.module.member.model.LossReport" >
    insert into loss_report (LOSS_REPORT_ID, MEMBER_ID, LOST_CARD_ID, 
      NEW_CARD_ID, LOSS_DATE, LOSS_REPORT_REASON_ID, 
      LOSS_REPORT_REASON, LOSS_REPORT_DATE, LOSS_REPORT_TIME, 
      PROCESS_RESULT, PROCESS_BY, PROCESS_DATE
      )
    values (#{lossReportId,jdbcType=BIGINT}, #{memberId,jdbcType=BIGINT}, #{lostCardId,jdbcType=BIGINT}, 
      #{newCardId,jdbcType=BIGINT}, #{lossDate,jdbcType=CHAR}, #{lossReportReasonId,jdbcType=BIGINT}, 
      #{lossReportReason,jdbcType=VARCHAR}, #{lossReportDate,jdbcType=CHAR}, #{lossReportTime,jdbcType=CHAR}, 
      #{processResult,jdbcType=VARCHAR}, #{processBy,jdbcType=BIGINT}, #{processDate,jdbcType=CHAR}
      )
  </insert>
  <insert id="insertSelective" parameterType="com.bw.adv.module.member.model.LossReport" >
    insert into loss_report
    <trim prefix="(" suffix=")" suffixOverrides="," >
      <if test="lossReportId != null" >
        LOSS_REPORT_ID,
      </if>
      <if test="memberId != null" >
        MEMBER_ID,
      </if>
      <if test="lostCardId != null" >
        LOST_CARD_ID,
      </if>
      <if test="newCardId != null" >
        NEW_CARD_ID,
      </if>
      <if test="lossDate != null" >
        LOSS_DATE,
      </if>
      <if test="lossReportReasonId != null" >
        LOSS_REPORT_REASON_ID,
      </if>
      <if test="lossReportReason != null" >
        LOSS_REPORT_REASON,
      </if>
      <if test="lossReportDate != null" >
        LOSS_REPORT_DATE,
      </if>
      <if test="lossReportTime != null" >
        LOSS_REPORT_TIME,
      </if>
      <if test="processResult != null" >
        PROCESS_RESULT,
      </if>
      <if test="processBy != null" >
        PROCESS_BY,
      </if>
      <if test="processDate != null" >
        PROCESS_DATE,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides="," >
      <if test="lossReportId != null" >
        #{lossReportId,jdbcType=BIGINT},
      </if>
      <if test="memberId != null" >
        #{memberId,jdbcType=BIGINT},
      </if>
      <if test="lostCardId != null" >
        #{lostCardId,jdbcType=BIGINT},
      </if>
      <if test="newCardId != null" >
        #{newCardId,jdbcType=BIGINT},
      </if>
      <if test="lossDate != null" >
        #{lossDate,jdbcType=CHAR},
      </if>
      <if test="lossReportReasonId != null" >
        #{lossReportReasonId,jdbcType=BIGINT},
      </if>
      <if test="lossReportReason != null" >
        #{lossReportReason,jdbcType=VARCHAR},
      </if>
      <if test="lossReportDate != null" >
        #{lossReportDate,jdbcType=CHAR},
      </if>
      <if test="lossReportTime != null" >
        #{lossReportTime,jdbcType=CHAR},
      </if>
      <if test="processResult != null" >
        #{processResult,jdbcType=VARCHAR},
      </if>
      <if test="processBy != null" >
        #{processBy,jdbcType=BIGINT},
      </if>
      <if test="processDate != null" >
        #{processDate,jdbcType=CHAR},
      </if>
    </trim>
  </insert>
  <update id="updateByPrimaryKeySelective" parameterType="com.bw.adv.module.member.model.LossReport" >
    update loss_report
    <set >
      <if test="memberId != null" >
        MEMBER_ID = #{memberId,jdbcType=BIGINT},
      </if>
      <if test="lostCardId != null" >
        LOST_CARD_ID = #{lostCardId,jdbcType=BIGINT},
      </if>
      <if test="newCardId != null" >
        NEW_CARD_ID = #{newCardId,jdbcType=BIGINT},
      </if>
      <if test="lossDate != null" >
        LOSS_DATE = #{lossDate,jdbcType=CHAR},
      </if>
      <if test="lossReportReasonId != null" >
        LOSS_REPORT_REASON_ID = #{lossReportReasonId,jdbcType=BIGINT},
      </if>
      <if test="lossReportReason != null" >
        LOSS_REPORT_REASON = #{lossReportReason,jdbcType=VARCHAR},
      </if>
      <if test="lossReportDate != null" >
        LOSS_REPORT_DATE = #{lossReportDate,jdbcType=CHAR},
      </if>
      <if test="lossReportTime != null" >
        LOSS_REPORT_TIME = #{lossReportTime,jdbcType=CHAR},
      </if>
      <if test="processResult != null" >
        PROCESS_RESULT = #{processResult,jdbcType=VARCHAR},
      </if>
      <if test="processBy != null" >
        PROCESS_BY = #{processBy,jdbcType=BIGINT},
      </if>
      <if test="processDate != null" >
        PROCESS_DATE = #{processDate,jdbcType=CHAR},
      </if>
    </set>
    where LOSS_REPORT_ID = #{lossReportId,jdbcType=BIGINT}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.bw.adv.module.member.model.LossReport" >
    update loss_report
    set MEMBER_ID = #{memberId,jdbcType=BIGINT},
      LOST_CARD_ID = #{lostCardId,jdbcType=BIGINT},
      NEW_CARD_ID = #{newCardId,jdbcType=BIGINT},
      LOSS_DATE = #{lossDate,jdbcType=CHAR},
      LOSS_REPORT_REASON_ID = #{lossReportReasonId,jdbcType=BIGINT},
      LOSS_REPORT_REASON = #{lossReportReason,jdbcType=VARCHAR},
      LOSS_REPORT_DATE = #{lossReportDate,jdbcType=CHAR},
      LOSS_REPORT_TIME = #{lossReportTime,jdbcType=CHAR},
      PROCESS_RESULT = #{processResult,jdbcType=VARCHAR},
      PROCESS_BY = #{processBy,jdbcType=BIGINT},
      PROCESS_DATE = #{processDate,jdbcType=CHAR}
    where LOSS_REPORT_ID = #{lossReportId,jdbcType=BIGINT}
  </update>
</mapper>